Subject: Re: [AVTCORE] [avtext] Additions to RFC5285bis?

From: "Roni Even" <[email-masked]>
Date: Wed, 15 Jun 2016 20:40:10 +0300

Hi,

(I removed some of the recipients – discuss in avtcore)

As David Singer pointed out draft-ietf-avtext-sdes-hdr-ext section 4.2.3 discuss the transmission considerations for RTP header extensions.

So do you think we can that this text is the relevant one for RFC5285-bis to discuss why and when to repeat sending RTP header extensions since one of the difference between RFC5285 and the bis draft is that we acknowledge that delivery of RTP header extension is crucial.

I also agree that it will be good to split section 4.1 

Roni

From: avtext [mailto:[email-masked]] On Behalf Of David Singer
Sent: Wednesday, June 15, 2016 7:49 PM
To: Colin Perkins
Cc: [email-masked]; [email-masked]; [email-masked]; IETF AVTCore WG; [email-masked]; Mirja Kühlewind; [email-masked]
Subject: Re: [avtext] Additions to RFC5285bis? was Re: Mirja Kühlewind's Discuss on draft-ietf-avtext-splicing-notification-07: (with DISCUSS and COMMENT)

Looks to me like we need to loot and pillage from at least the SDES draft, and update (and split into sub-sections, as it’s already long and a mix of topics) section 4.1 of 5285.  Yes, a section on repetition considerations and reliability seems reasonable to me.

On Jun 15, 2016, at 6:07 , Colin Perkins <[email-masked]> wrote:

Hi Magnus,

I agree that this makes sense, and is probably better than having more general discussion in the splicing notification draft.

Colin

On 15 Jun 2016, at 08:54, Magnus Westerlund <[email-masked]> wrote:

Hi,
(As individual)

I think we stumbled on one thing that maybe should be included in the update of RFC5285.

Namely the discussion and reasoning why a sender may need to repeat a RTP header extension. See below excerpt from the discussion:

Den 2016-06-15 kl. 09:22, skrev Huangyihong (Rachel):

Hi Mirja,

As one of the authors, please see my replies inline.

BR, Rachel

-----邮件原件----- 发件人: Mirja Kühlewind [mailto:[email-masked]] 发送时

- Why is just having the RTCP message not sufficient? Why are the
RTP extensions needed as well?

RTP and RTCP are unreliable. The usual practice for these types of
extension is to send data both in RTCP, and in some number of RTP
packets, to increase the chances of it arriving in a timely manner.
The draft is following standard practice here.

Thanks for clarification. That could be clarified in the text.
Because the text says that RTCP is used because the RTP information
might get lost. So I was wondering why you are not only using RTCP
and make sure you send it sufficiently often. Saying that this is
common practice would be helpful from my point of view. Is there a
reference for this?

[Rachel]: It's more like conventional method to increase robustness.
As far as I know, there's no formal document to record this. Maybe we
can address this like this

OLD "

To increase robustness against such case, the document also defines
a complementary RTCP packet type to carry the same Splicing Interval
to the splicer.

"

NEW " To increase robustness against such case, the document also
defines a new RTCP packet type to carry the same Splicing Interval
to the splicer. Since RTCP is also unreliable and may not so
immediate as the in-band way, it's only considered as a complement to
RTP header extension. "

- And is the RTCP message send only once or multiple time? This
is not specified.

That’s implementation dependent, and based on the expected packet
loss rate, the importance of the data, and the frequency with which
updates need to be sent.

A recommendation or discussion should be provided here.

[Rachel]: I think in Section 2, we have already provided some
guidance on how often the Splicing Interval to be sent, which is not
just limited to RTP header extension, also includes RTCP message.

This topic is also discussed in        
draft-ietf-avtext-sdes-hdr-ext-07 Section 4.2.3.

>From my perspective I think the general transmission issues that needs to be considered with RTP header extension should be included in the update of RFC5285. That way each extension don't have to repeat it, only discuss additions or specific considerations for their formats.

To note I think that from SDES header Extension there should be included the topics of;

- MTU handling
- How many transmissions and if one can know it has reached the receiver
- Update handling, especially for extensions with data that can be sent using both RTCP and RTP header extension.

Note, this is my suggestion as an individual. Please discuss and comment.

Cheers

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

-- 
Colin Perkins
 <https://csperkins.org/> https://csperkins.org/

David Singer

Manager, Software Standards, Apple Inc.